Get customer

Retrieves a single customer by its ID.

Path Parameters

ParameterTypeRequiredDescription
idintegerYesCustomer unique identifier

Response Fields

FieldTypeDescription
idintegerCustomer unique identifier
numberstringAuto-generated customer reference number
firstNamestringCustomer first name
lastNamestringCustomer last name
fullNamestringComputed full name (firstName + lastName)
emailstringCustomer email address
phonestringPrimary phone number
civilitystringCivility/title (Mr, Mrs, etc.)
jobTitlestringJob title/position
customerCompanyobjectLinked customer company (B2B)
billingAddressobjectBilling address (see Address object below)
deliveryAddressobjectDelivery address if different
differentDeliveryAddressbooleanWhether delivery address differs from billing
customFieldsobjectCustom field values
archivedbooleanWhether the customer is archived
isDeletablebooleanWhether the customer can be deleted (no linked deals)
createdAtdatetimeCreation timestamp
updatedAtdatetimeLast update timestamp

Address Object

FieldTypeDescription
countrystringCountry code (e.g., FR, US)
addressstringStreet address
postCodestringPostal code
citystringCity name

Response

  • 200 OK: Returns the customer details
  • 401 Unauthorized: Invalid or missing API key
  • 404 Not Found: Customer not found
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Responses
200

Successful response

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!